Results 1 to 3 of 3

Thread: What does the requires:[] do in ExtReact?

  1. #1

    Default What does the requires:[] do in ExtReact?

    In ExtJS, if I code my own Ext.data.Model class, I require the proxy's class and any other classes being used by the record. How is requires:[] used in ExtReact?

  2. #2
    Sencha - Forum Administrator
    Join Date
    Sep 2017
    Posts
    1,006
    Answers
    5

    Default

    I have asked the support team to get back with you to provide some assistance. Thanks for your patience!

    Michele

  3. #3
    Ext Support Team
    Join Date
    Jan 2018
    Posts
    569
    Answers
    7

    Default

    Hello,

    If it is ExtJs components you need to import from sencha extjs package
    import { Grid, Column, TitleBar, SearchField, Label } from '@sencha/ext-modern'


    Otherwise you need to add Ext.require. For eg : Before using gridpaging toolbar plugin you need to add


    Ext.require(['Ext.grid.plugin.PagingToolbar']);

    Regards,
    Kumar
    Sencha Support.

Similar Threads

  1. ExtReact 6.6.0 activation
    By bcourtine in forum Q&A
    Replies: 1
    Last Post: 6 Sep 2018, 5:09 PM
  2. Replies: 3
    Last Post: 25 Apr 2018, 11:25 PM
  3. Sencha ExtReact 6.5.1 is Now Available
    By mitchellsimoens in forum Q&A
    Replies: 0
    Last Post: 27 Jul 2017, 5:23 AM
  4. Replies: 2
    Last Post: 12 Apr 2015, 10:48 PM
  5. Replies: 2
    Last Post: 13 Apr 2012, 7:34 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •